#!/bin/bash
# hark-ros に対して debuildを行う
# 本来のdebuildは、環境変数を削除してしまうので
# このスクリプトにより、hark-rosに必要な環境変数を付加している
# configureやmakefileの中で、明示的に環境変数を設定しても、debuildのサブプロセスである限り無効である。
# ROS_PACKAGE_PATHは、環境により適宜設定を行うする必要がある。

#######################################################################################################
# make-all-packages.shで、makeしてから、debuildを行うこと。現在、rule内では、makeコマンドは
# コメントアウトにしている.
#######################################################################################################



ROS_ROOT=/opt/ros/fuerte/share/ros
ROS_PACKAGE_PATH=/opt/ros/fuerte/share:/opt/ros/fuerte/stacks:/home/takenaka/ros
PATH=/opt/ros/fuerte/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
PYTHONPATH=/opt/ros/fuerte/lib/python2.7/dist-packages
PKG_CONFIG_PATH=/opt/ros/fuerte/lib/pkgconfig
LD_LIBRARY_PATH=/opt/ros/fuerte/lib:/opt/ros/fuerte/lib:/opt/ros/fuerte/lib:/opt/ros/fuerte/lib



# --preserve-envvar PAHT \
debuild \
 -e ROS_ROOT=${ROS_ROOT}\
 -e PATH=${ROS_ROOT}/bin:${PATH} \
 -e LD_LIBRARY_PATH=/opt/ros/fuerte/lib \
 -e PYTHONPATH=${PYTHONPATH} \
 -e PKG_CONFIG_PATH=${PKG_CONFIG_PATH} \
 -e ROS_PACKAGE_PATH=${ROS_PACKAGE_PATH}:`pwd`/hark_msgs:`pwd`/hark_params


